Quassel IRC - Bug #339

InputLine behaviour is sometimes unexpected
10/07/2008 06:09 PM - al

Status: Resolved Start date:

Priority: High Due date:

Assignee: EgS % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.3.1

Version: 0.13.1 0S: Any
Description

- The InputLine is cleared on KeyUp/Down events when a history entry is changed
- Changed InputLine history entries are immediately appended to the history, regardless of actually getting sent

Additional information:

The attached patch does the following:

- The InputLine isn't cleared as often (KeyUp/Down)

- Changed InputLine history entries are preserved until a line is sent

- As soon as a new line is sent, changed history entries are replaced by the unchanged lines and
- the sent line gets appended to the history

History

#1 - 10/12/2008 05:24 PM - al

0001-also-preserve-temporary-history-entries-on-the-last2.patch replaces 0001-also-preserve-temporary-history-entries-on-the-last.patch

#2 - 10/13/2008 12:09 PM - al

0001-clear-InputLine-on-Key_Down.patch:

If the user is on the most recent tempHistory line (== history.count() + 1) and presses Key_Down, reset InputLine.
The content of this line gets deleted.

#3 - 10/19/2008 01:50 PM - al

0001-InputLine-history-handling-improved_betterthanever.patch attached
This patch obsoletes all other patches in this BR :>

#4 - 10/19/2008 01:56 PM - EgS
applied 0001-InputLine-history-handling-improved_betterthanever.patch.

Files

0001-InputLine-history-handling-improved.patch 3.85 KB 10/07/2008 admin
0001-also-preserve-temporary-history-entries-on-the-last.patch 873 Bytes 10/10/2008 admin
0001-also-preserve-temporary-history-entries-on-the-last2.patch 873 Bytes 10/12/2008 admin
0001-clear-InputLine-on-Key_Down.patch 1.48 KB 10/13/2008 admin
0001-InputLine-history-handling-improved_betterthanever.patch 415 KB 10/19/2008 admin
